| Face Engine SDK 4.7.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IHumanDetector Struct Referenceabstract
Object detector.

human body detector interface. More...

`#include <IDetector.h>`

Inheritance diagram for fsdk::IHumanDetector:

## Public Member Functions
virtual ResultValue< FSDKError, Ref< IResultBatch< Human > > > | detect (const Span< const Image > &image, const Span< const Rect > &rect, uint32_t detectionPerImageNum, HumanDetectionType type=DCT_BOX) const noexcept=0
virtual ResultValue< FSDKError, bool > | redetectOne (Human &human) const noexcept=0
virtual ResultValue< FSDKError, Ref< IResultBatch< Human > > > | redetect (Span< const Image > images, Ref< IResultBatch< Human >> detectionBatch, HumanDetectionType type=HumanDetectionType::DCT_BOX) const noexcept=0
| Batched redetect humans on multiple images based on the detection results for the previous frames. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

human body detector interface.

## Member Function Documentation

virtual ResultValue<FSDKError, Ref<IResultBatch<Human> > > fsdk::IHumanDetector::redetect | ( | Span< const Image > | images,
|  | Ref< IResultBatch< Human >> | detectionBatch,
|  | HumanDetectionType | type = `HumanDetectionType::DCT_BOX`
| ) |  | const
| pure virtual noexcept

Batched redetect humans on multiple images based on the detection results for the previous frames.

Parameters

  [in] | images | input images span; format must be R8G8B8.
  [in] | detectionBatch | result of detection on the previous frames - Ref with an IHumanDetectionBatch object.

See Also
  IHumanDetectionBatch for details.

Parameters

  [in] | type | type of redetection.

See Also
  DetectionType for details.

Returns
  ResultValue with error code and IHumanDetectionBatch object

Note
  images span should be based on user owned continuous collections.
  images span should be the same size with detectionBatch size.
  In case if some human from the input detectionBatch was not found the corresponding detection in the output IHumanDetectionBatch object will be invalid.

The documentation for this struct was generated from the following file:

- include/fsdk/IDetector.h